%global momorel 17
%{?!OmoiKondara_enable_debug: %global OmoiKondara_enable_debug 0}

# version definitions
%global tetex_version		2.0.2
%global tetex_texmf_version	2.0.2
%global tetex_texmfsrc_version	2.0.2

%global ptex_version		3.1.2
%global ptex_texmf_version	2.1

%global omega_version		1.23.4
%global omega_j_version		0.0001

%global dvipsk_version		5.92b
%global dvipsk_jpatch_version	p1.6

%global mendexk_version		2.5

%global makejvf_version		1.1a

%global kpathsea_version	3.4.5

%global dvipsk_jpatch_name	dvipsk-%{dvipsk_version}-%{dvipsk_jpatch_version}.patch

Summary: The TeX typesetting system.
Name: tetex
Version: %{tetex_version}
Release: %{momorel}m
Group: Applications/Publishing
License: LGPL
URL: http://www.tug.org/teTeX/

# for specopt
%{?include_specopt}

%{?!enable_ls_R:	%global enable_ls_R	0}

# teTeX sources
%NoSource 0 ftp://ftp.tug.org/tex-archive/systems/unix/teTeX/2.0/distrib/tetex-src-%{tetex_version}.tar.gz a16f6bba227d55e79aeee46fbbd82d28
%NoSource 1 ftp://ftp.tug.org/tex-archive/systems/unix/teTeX/2.0/distrib/tetex-texmf-%{tetex_texmf_version}.tar.gz d3bdb96f9077e43b2115d3cc471743b3
%NoSource 2 ftp://ftp.tug.org/tex-archive/systems/unix/teTeX/2.0/distrib/tetex-texmfsrc-%{tetex_texmfsrc_version}.tar.gz 40d4b2c5582eccbee4b6ec692c3cc253

Source4: texmf.cnf.momonga
Source5: language.dat.momonga

### tetex-texmf-2.0.2 missing Adobe Utopia fonts
Source10: freenfss.zip

Patch0: tetex-2.0.2-texmf.in-cancel-ls-R.patch
Patch1: tetex-2.0.2-fmtutil.in.patch

# ASCII pTeX sources
%NoSource 100 ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-src-%{ptex_version}.tar.gz dba257433562c3a5a33206ecb1157a74
%NoSource 101 ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-texmf-%{ptex_texmf_version}.tar.gz d0c01d4114dde202e96c97b1a2ef8523
%NoSource 102 ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/platex/platex209.tar.gz 79f04d13829cad8ddf8afbe4d0140f0e
%NoSource 103 ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/jis.tar.gz 12fc14c4ed0530eab018c867b383eedb

# Omega sources
%NoSource 200 http://omega.enstb.org/distrib/omega-%{omega_version}.tar.bz2 82bfea9b1e84b926ded45894494691bc
%NoSource 201 http://www.havenrock.com/archives/classic/docproc/nihongo/omega-j/omega-j-%{omega_j_version}.tar.gz fe28ffd4f0053bbebacf3f11df8095d9

Source202: omega-1.23.4-install-sh

Source203: http://www.sat.t.u-tokyo.ac.jp/~hideyuki/omega/injis.otp

Source300: filter-depends.sh

Patch200: omega-1.23.4-install.patch

# Dvipsk sources
%NoSource 500 ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/dvips/dvipsk-jpatch-%{dvipsk_jpatch_version}.tar.gz a072a2196015caa15834522728a91a78
Patch500: http://ring.dcs.pref.mie.jp/pub/text/TeX/ptex-win32/utils/udvips-5.94a-p1.6.patch

# mendexk
%NoSource 600 ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/mendex/mendexk%{mendexk_version}.tar.gz 055a239a389711ede327438677f0ed95
Source601: Makefile.mendexk%{mendexk_version}

# makejvf
%NoSource 700 ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/makejvf-%{makejvf_version}.tar.gz 7fd15c90111732cce14c5dbb6228ecb3
Source701: Makefile.makejvf-%{makejvf_version}

Source10000: extract-alias.rb

BuildRequires: ruby >= 1.8.0
BuildRequires: flex, bison, ncurses-devel, coreutils
BuildRequires: libpng-devel >= 1.2.2
BuildRequires: zlib-devel >= 1.1.4-5m
BuildRequires: gcc-c++ >= 3.2
BuildRequires: autoconf >= 2.57

BuildRoot: %{_tmppath}/%{name}-%{version}-root

PreReq: kpathsea = %{kpathsea_version}-%{release}

%description
TeTeX is an implementation of TeX for Linux or UNIX systems. TeX takes
a text file and a set of formatting commands as input and creates a
typesetter independent .dvi (DeVice Independent) file as output.
Usually, TeX is used in conjunction with a higher level formatting
package like LaTeX or PlainTeX, since TeX by itself is not very
user-friendly.

Install tetex if you want to use the TeX typesetting system.  If you
are installing tetex, you will also need to install tetex-afm (a
PostScript(TM) font converter for TeX), tetex-dvilj (for converting
.dvi files to HP PCL format for printing on HP and HP compatible
printers), tetex-dvips (for converting .dvi files to PostScript format
for printing on PostScript printers), tetex-latex (a higher level
formatting package which provides an easier-to-use interface for TeX)
and tetex-xdvi (for previewing .dvi files in X).  Unless you're an
expert at using TeX, you'll also want to install the tetex-doc
package, which includes the documentation for TeX.

%package etex
Summary: The e-TeX typesetting system.
Group: Applications/Publishing
Requires: tetex = %{tetex_version}-%{release}

%description etex

%package ptex
Summary: The pTeX typesetting system for Japanese.
Version: %{ptex_version}
License: Modified BSD
Group: Applications/Publishing
URL: http://www.ascii.co.jp/pb/ptex/
Requires: tetex = %{tetex_version}-%{release}

%description ptex

%package omega
Summary: The Omega typesetting system for multilingual.
Version: %{omega_version}
License: GPL
Group: Applications/Publishing
URL: http://omega.cse.unsw.edu.au:8080/
Requires: tetex = %{tetex_version}-%{release}

%description omega

%package latex
Summary: The LaTeX high-level typesetting system.
Version: %{tetex_texmf_version}
Group: Applications/Publishing
Requires: tetex = %{tetex_version}-%{release}

%description latex
LaTeX is a front end for the TeX text formatting system.  Easier to
use than TeX, LaTeX is essentially a set of TeX macros which provide
convenient, predefined document formats for users.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-latex.  In
addition, you will need to install tetex-afm (for converting
PostScript font description files), tetex-dvilj (for converting .dvi
files to HP PCL format for printing on HP and HP compatible printers),
tetex-dvips (for converting .dvi files to PostScript format for
printing on PostScript printers) and tetex-xdvi (for previewing .dvi
files in X).  If you're not an expert at TeX, you'll probably also
want to install the tetex-doc package, which contains documentation
for TeX.

%package elatex
Summary: The e-LaTeX high-level typesetting system.
Group: Applications/Publishing
Requires: tetex = %{tetex_version}-%{release}

%description elatex

%package platex
Summary: The pLaTeX2e high-level typesetting system for Japanese.
Version: %{ptex_texmf_version}
License: Modified BSD
Group: Applications/Publishing
URL: http://www.ascii.co.jp/pb/ptex/
Requires: tetex-ptex = %{ptex_version}-%{release}
Requires: tetex-latex = %{tetex_texmf_version}-%{release}

%description platex

%package lambda
Summary: The Lambda high-level typesetting system for multilingual.
#Version: %{lambda_version}
Group: Applications/Publishing
Requires: tetex-omega = %{omega_version}-%{release}

%description lambda

%package dvipsk
Summary: A DVI to PostScript dviware
Version: %{dvipsk_version}
License: GPL
Group: Applications/Publishing
Requires: tetex-vf = %{tetex_version}-%{release}
Provides: tetex-dvips

%description dvipsk
Dvips converts .dvi files produced by the TeX text formatting system
(or by another processor like GFtoDVI) to PostScript(TM) format.
Normally the PostScript file is sent directly to your printer.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-dvips.  In
addition, you will need to install tetex-afm (for converting
PostScript font description files), tetex-dvilj (for converting .dvi
files to HP PCL format for printing on HP and HP compatible printers),
tetex-latex (a higher level formatting package which provides an
easier-to-use interface for TeX) and tetex-xdvi (for previewing .dvi
files in X).  If you're installing TeX and you're not an expert at it,
you'll also want to install the tetex-doc package, which contains
documentation for the TeX system.
#'#-------------------------------------------------------------------------
%package dviljk
Summary: A DVI to HP PCL (Printer Control Language) dviware
License: GPL
Group: Applications/Publishing
Requires: tetex-vf = %{tetex_version}-%{release}
Provides: tetex-dvilj

%description dviljk
Dvilj and dvilj's siblings (included in this package) will convert TeX
text formatting system output .dvi files to HP PCL (HP Printer Control
Language) commands.  Using dvilj, you can print TeX files to HP
LaserJet+ and fully compatible printers.  With dvilj2p, you can print
to HP LaserJet IIP and fully compatible printers. And with dvilj4, you
can print to HP LaserJet4 and fully compatible printers.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-dvilj.  In
addition, you will need to install tetex-afm (for converting
PostScript font description files), tetex-dvips (for converting .dvi
files to PostScript format for printing on PostScript printers),
tetex-latex (a higher level formatting package which provides an
easier-to-use interface for TeX) and tetex-xdvi (for previewing .dvi
files in X).  If you're installing TeX and you're not a TeX expert,
you'll also want to install the tetex-doc package, which contains
documentation for TeX.

%package vf
Summary: Virtual Fonts for teTeX
Group: Applications/Publishing
Requires: tetex = %{tetex_version}-%{release}

%description vf
tetex-type1 provides virtual font files for teTeX.

%package type1
Summary: Type1 Fonts for teTeX
Group: Applications/Publishing
Requires: tetex = %{tetex_version}-%{release}

%description type1
tetex-type1 provides Type1 font files for teTeX.

%package afm
Summary: A converter for PostScript(TM) font metric files, for use with TeX.
Group: Applications/Publishing
Requires: tetex = %{tetex_version}-%{release}

%description afm
tetex-afm provides Adobe Font Metric files for teTeX.

%package web
Summary: WEB and CWEB
Version: %{tetex_version}
Group: Development/Languages
Requires: tetex = %{tetex_version}-%{release}

%description web
tetex-web provides WEB and CWEB environments.

%package -n kpathsea
Summary: Path searching library
Version: %{kpathsea_version}
License: LGPL
Group: System Environment/Libraries
Requires: coreutils
Obsoletes: tetex-dvips, tetex-dvilj, tetex-fonts, tetex-revtex, tetex-mendex
Obsoletes: pk300
Obsoletes: pxfonts, pxfonts-dvipdfm, pxfonts-xdvi
Obsoletes: txfonts, txfonts-dvipdfm, txfonts-xdvi
Provides: libkpathsea.so

%description -n kpathsea
The library's fundamental purpose is to return a filename from a list
of directories specified by the user, similar to what shells do when
looking up program names to execute.

  The following software, all of which we maintain, uses this library:

   * Dviljk (see the `dvilj' man page)

   * Dvipsk (*note Introduction: (dvips)Top.)

   * GNU font utilities (*note Introduction: (fontu)Top.)

   * Web2c (*note Introduction: (web2c)Top.)

   * Xdvik (see the `xdvi' man page)

Other software that we do not maintain also uses it.
#`#-------------------------------------------------------------------------
%package -n kpathsea-devel
Summary: Path searching library
Version: %{kpathsea_version}
License: LGPL
Group: Development/Libraries
Requires: kpathsea = %{kpathsea_version}-%{release}

%description -n kpathsea-devel
The library's fundamental purpose is to return a filename from a list
of directories specified by the user, similar to what shells do when
looking up program names to execute.

  The following software, all of which we maintain, uses this library:

   * Dviljk (see the `dvilj' man page)

   * Dvipsk (*note Introduction: (dvips)Top.)

   * GNU font utilities (*note Introduction: (fontu)Top.)

   * Web2c (*note Introduction: (web2c)Top.)

   * Xdvik (see the `xdvi' man page)

Other software that we do not maintain also uses it.
#`#-------------------------------------------------------------------------
%package doc
Summary: The documentation files for the TeX text formatting system.
Group: Documentation
Requires: tetex = %{tetex_version}-%{release}

%description doc
The tetex-doc package contains documentation for the TeX text
formatting system.

If you want to use TeX and you're not an expert at it, you should
install the tetex-doc package.  You'll also need to install the tetex
package, tetex-afm (a PostScript font converter for TeX), tetex-dvilj
(for converting .dvi files to HP PCL format for printing on HP and HP
compatible printers), tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), tetex-latex (a
higher level formatting package which provides an easier-to-use
interface for TeX) and tetex-xdvi (for previewing .dvi files).

%global texmfdir	%{_datadir}/texmf
%global localtexmfdir	/usr/local/share/texmf
%global vartexfontsdir	%{_var}/lib/texmf/fonts
%global all_packages	tetex etex ptex omega latex elatex platex lambda dvipsk dviljk vf type1 afm web kpathsea kpathsea-devel doc

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides
%define __find_requires %{SOURCE300}

%prep
%setup -q -n tetex-src-%{tetex_version}

### xdvik and oxdvik is not build
%__rm -rf texk/xdvik
%__rm -rf texk/oxdvik

### extract pTeX source
%__tar xzf %{S:100} -C texk/web2c

### extract Omega source
%__tar xzf %{S:200} -C texk
(
  cd texk/omega-%{omega_version}
  patch -p1 -b --suffix .inst -s < %{P:200}
  cp %{S:202} config/install-sh
  chmod +x config/install-sh
  automake-1.7
  autoconf
)

%__mkdir_p texmf
%__tar xzf %{S:1} -C texmf		# tetex-texmf
%__tar xzf %{S:101} -C texmf		# ptex-texmf
%__tar xzf %{S:102} -C texmf/ptex	# platex209

### Adobe Utopia font
(
  cd texmf
  %__unzip -qn %{S:10}
)

### reject xdvi
rm -rf texmf/xdvi

### replace language.dat
%__install -m 644 %{S:5} texmf/tex/generic/config/language.dat
%__rm -f texmf/omega/lambda/base/language.dat

%__rm -f texmf/ls-R

%patch1 -p1 -b .fmtutil

### JIS Font Metric
%__tar xzf %{S:103}
%__mv jis/tfm/ptex/* texmf/fonts/tfm/ptex
%__mv jis/vf/* texmf/fonts/vf/ptex
%__mkdir_p texmf/dvips/jis
%__mv jis/jis.map texmf/dvips/jis
cat >> texmf/web2c/updmap.cfg <<EOF

# JIS Font Metric
Map jis.map
EOF

### dvipsk
%__tar xzf %{S:500} -C texk/dvipsk
(
  cd texk/dvipsk
  patch -p1 -b --suffix .jpatch -s < %{dvipsk_jpatch_name}
  patch -p1 -b --suffix .udvips -s < %{P:500}
)
### pstricks
(
  cd texmf/dvips/pstricks
  patch -p0 -b --suffix .jpatch -s < ../../../texk/dvipsk/PSTricks.patch
)

### mendexk
%__tar xzf %{S:600} -C texk
%__sed -e 's!@bindir@!%{_bindir}!g' \
       -e 's!@mandir@!%{_mandir}!g' \
       -e 's!@install@!%{__install}!g' \
  < %{S:601} \
  > texk/mendexk%{mendexk_version}/Makefile

### makejvf
%__tar xzf %{S:700} -C texk
%__sed -e 's!@bindir@!%{_bindir}!g' \
       -e 's!@install@!%{__install}!g' \
  < %{S:701} \
  > texk/makejvf-%{makejvf_version}/Makefile

### omega-j
%__tar xzf %{S:201}
%__tar xzf omega-j/omj-texmf.tar.gz

### modification for Omega, mendexk and makejvf
mv texk/configure texk/configure.orig
%__sed -e 's/ESUBDIRS"/ESUBDIRS omega-%{omega_version}"/' \
       -e 's/ESUBDIRS; do/ESUBDIRS omega-%{omega_version}; do/' \
  < texk/configure.orig \
  > texk/configure
chmod +x texk/configure
mv texk/Makefile.in texk/Makefile.in.orig
%__sed -e 's/ESUBDIRS)/ESUBDIRS) omega-%{omega_version} mendexk%{mendexk_version} makejvf-%{makejvf_version}/' \
  < texk/Makefile.in.orig \
  > texk/Makefile.in

%build
CFLAGS=`echo %{optflags} | sed -e 's/-fstack-protector/-fno-stack-protector/'`
CXXFLAGS=`echo %{optflags} | sed -e 's/-fstack-protector/-fno-stack-protector/'`
FFLAGS=`echo %{optflags} | sed -e 's/-fstack-protector/-fno-stack-protector/'`
%configure \
  --disable-multiplatform \
  --without-x \
  --with-system-ncurses \
  --with-system-zlib \
  --with-system-pnglib \
  --without-dialog \
  --without-texinfo \
  --without-xdvik \
  --without-oxdvik \
  --without-omega \
  --without-dvipdfm \
  --without-psutils \
  --enable-gf \
  --enable-shared \
  --with-editor='jed +%d %s'

### configur ASCII pTeX
(
  cd texk/web2c/ptex-%{ptex_version}
  ./configure euc
)

make texmf=`pwd`/texmf
make texmf=`pwd`/texmf -C texk/web2c/ptex-%{ptex_version}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

export LD_LIBRARY_PATH=%{buildroot}%{_libdir}

### update ls-R
texk/kpathsea/mktexlsr `pwd`/texmf

### make install
%makeinstall texmf=`pwd`/texmf
%makeinstall texmf=`pwd`/texmf -C texk/web2c/ptex-%{ptex_version}

### vartexfonts
mkdir -p %{buildroot}%{vartexfontsdir}

### copy texmf directory
%__tar cf - texmf | %__tar xf - -C %{buildroot}%{_datadir}

### prepare environment variables
export TEXMF=%{buildroot}%{texmfdir}
export PATH=%{buildroot}%{_bindir}:$PATH

### %{_bindir}/readlink is moved to coreutils
rm -f %{buildroot}%{_bindir}/readlink
rm -f %{buildroot}%{_mandir}/man1/readlink.1*

### for ASCII pTeX
cat > ${TEXMF}/ptex/platex209/platex209.ini <<EOF
\\input plplain.tex
\\dump
EOF
cat >> ${TEXMF}/web2c/fmtutil.cnf <<EOF

## The ASCII pTeX format:
ptex		ptex		-		ptex.ini
platex		ptex		language.dat	platex.ini
platex209	ptex		language.dat	platex209.ini
EOF

### for omega-j
(
  cd ${TEXMF}/omega/otp
  mkocp injis
  mv injis.ocp ../ocp
)
cat >> ${TEXMF}/web2c/fmtutil.cnf <<EOF

## Japanese format for Omega:
#! lambdaj		omega		language.dat	lambdaj.ini
EOF

### for dvips
(
  cd ${TEXMF}/dvips/config
  %{_bindir}/ruby -pi -e 'sub(/^(o\s*\|lpr)/){"%#{$1}"}' config.ps
)

### generate missing formats
%__sed -e 's!@texmfdir@!%{buildroot}%{texmfdir}!g' \
       -e 's!@localtexmfdir@!%{buildroot}%{localtexmfdir}!g' \
       -e 's!@enable_ls_R@!!g' \
       -e 's!@disable_ls_R@!%%!g' \
  < %{S:4} \
  > ${TEXMF}/web2c/texmf.cnf
mktexlsr ${TEXMF}
fmtutil --cnffile ${TEXMF}/web2c/fmtutil.cnf --missing
texlinks

### cancel ls-R
%if !%{enable_ls_R}
%__rm -f ${TEXMF}/ls-R
%__rm -f %{buildroot}%{_bindir}/mktexlsr
%__ln_s -f /bin/true %{buildroot}%{_bindir}/mktexlsr
%{_bindir}/ruby %{S:10000} ${TEXMF}/aliases ${TEXMF}
%endif # !enable_ls_R

### installing real texmf.cnf
%__sed -e 's!@texmfdir@!%{texmfdir}!g' \
       -e 's!@localtexmfdir@!%{localtexmfdir}!g' \
%if %{enable_ls_R}
       -e 's!@enable_ls_R@!!g' \
       -e 's!@disable_ls_R@!%%!g' \
%else
       -e 's!@enable_ls_R@!%%!g' \
       -e 's!@disable_ls_R@!!g' \
%endif
  < %{S:4} \
  > ${TEXMF}/web2c/texmf.cnf

make_directory_filelist() {
  source=$1
  reject_list="$2"
  for i in $source/*; do
    skip=no
    for j in $reject_list; do
      [ `basename $i` = $j ] && {
        skip=yes
        break
      }
    done
    [ $skip = no ] && echo $i
  done | sed -e 's!%{buildroot}!!g'
}

make_command_filelist() {
  name=$1
  if [ -f %{buildroot}%{_bindir}/${name} ]; then
    echo %{_bindir}/${name}
    find %{buildroot}%{_mandir} -name "${name}.*" -a ! -type d \
      | %__sed -e 's!%{buildroot}!!g' \
      | while read entry; do
      echo ${entry}\*
    done
  fi
}

sort_filelist() {
  file=$1
  %__mv $file $file.in
  sort $file.in | uniq > $file
  %__rm -f $file.in
}

### clean filelists
for i in %{all_packages}; do
  %__rm -f filelist.$i
done

### tetex
touch filelist.tetex
for i in allcm allec allneeded dvi2fax dvired e2pall epstopdf \
         fontexport fontimport fontinst ps2frag pslatex rubibtex \
         rumakeindex texconfig texdoc texi2html texi2pdf thumbpdf \
         texdoctk updmap mkfontdesc MakeTeXPK texlinks texexec \
         fdf2tan makempy mptopdf texfind texfont texshow texutil \
         afm2tfm gsftopk mag pk2bm pfb2pfa ps2pk
do
  make_command_filelist $i >> filelist.tetex
done
for i in tex initex virtex patgen \
         amstex eplain mex csplain \
         cyramstex cyrtex cyrtexinfo \
         dvicopy dvitype \
         gftodvi gftopk gftype pktogf pktype \
         pltotf tftopl vftovp vptovf \
         fmtutil mktexfmt \
         makeindex mkindex \
         bibtex \
         mf inimf virmf mft \
         mpost inimpost virmpost mpto makempx dmp dvitomp newer
do
  make_command_filelist $i >> filelist.tetex
done
for i in pdftex pdfinitex pdfvirtex \
         pdfamstex pdfmex pdfcsplain \
         pdftosrc ttf2afm
do
  make_command_filelist $i >> filelist.tetex
done
make_directory_filelist $TEXMF/fonts/tfm "public ptex" >> filelist.tetex
make_directory_filelist $TEXMF/fonts/tfm/public "latex omega" >> filelist.tetex
make_directory_filelist $TEXMF/fonts/source "public ptex" >> filelist.tetex
make_directory_filelist $TEXMF/fonts/source/public "latex omega" >> filelist.tetex

touch filelist.etex
for i in etex einitex evirtex \
         pdfetex pdfeinitex pdfevirtex pdfemex
do
  make_command_filelist $i >> filelist.etex
done

touch filelist.ptex
for i in ptex iniptex virptex pdvitype \
         jbibtex mendex
do
  make_command_filelist $i >> filelist.ptex
done

touch filelist.omega
for i in omega iniomega viromega \
         mkocp mkofm omfonts outocp \
         ofm2opl opl2ofm otp2ocp ovf2ovp ovp2ovf \
         odvicopy odvitype
do
  make_command_filelist $i >> filelist.omega
done

touch filelist.latex
for i in latex pdflatex \
         cslatex pdfcslatex
do
  make_command_filelist $i >> filelist.latex
done

touch filelist.elatex
for i in elatex pdfelatex
do
  make_command_filelist $i >> filelist.elatex
done

touch filelist.platex
for i in platex platex209
do
  make_command_filelist $i >> filelist.platex
done

touch filelist.lambda
for i in lambda
do
  make_command_filelist $i >> filelist.lambda
done

touch filelist.dvipsk
for i in dvips odvips makejvf
do
  make_command_filelist $i >> filelist.dvipsk
done

touch filelist.dviljk
for i in dvihp dvilj dvilj2p dvilj4 dvilj4l dvilj6
do
  make_command_filelist $i >> filelist.dviljk
done

touch filelist.web
for i in otangle tangle weave tie pooltype ctangle cweave
do
  make_command_filelist $i >> filelist.web
done

touch filelist.kpathsea
for i in access mktexpk mktexmf mktexlsr texhash mktextfm \
         kpsewhich kpsestat kpsetool kpsepath kpsexpand
do
  make_command_filelist $i >> filelist.kpathsea
done

for i in %{all_packages}; do
  [ -f filelist.$i ] && sort_filelist filelist.$i
done

### prepare document
%__rm -rf doc
%__mkdir_p doc
DOC=`pwd`/doc
for i in CREDITS ChangeLog INSTALL* LICENSE.src NEWS \
         PROBLEMS* QuickInstall README teTeX-vs-TeXLive
do
  %__cp $i $DOC/$i
done
(
  cd texk
  for i in ChangeLog README
  do
    %__cp $i $DOC/texk-$i
  done
  (
    cd contrib
    for i in ChangeLog INSTALL README etc/FREEDOM
    do
      %__cp $i $DOC/texk-contrib-$i
    done
  )
  (
    cd dviljk
    %__mkdir_p $DOC/dviljk
    for i in AUTHORS ChangeLog INSTALL NEWS README
    do
      %__cp $i $DOC/dviljk/$i
    done
  )
  (
    cd dvipsk
    %__mkdir_p $DOC/dvipsk
    for i in AUTHORS ChangeLog* INSTALL* README*
    do
      %__cp $i $DOC/dviljk/$i
    done
    %__cp contrib/bbfig/INSTALLATION $DOC/dvipsk/bbfig-INSTALLATION
    %__cp contrib/psfig/README $DOC/dvipsk/psfig-README
    %__cp contrib/pspic/pspic.readme $DOC/dvipsk
    %__cp contrib/volker/README $DOC/dvipsk/volker-README
    %__cp hps/*.txt $DOC/dvipsk
    %__cp reencode/README $DOC/dvipsk/reencode-README
  )
  (
    cd kpathsea
    %__mkdir_p $DOC/kpathsea
    for i in AUTHORS BUGS ChangeLog HIER INSTALL NEWS PROJECTS README*
    do
      %__cp $i $DOC/kpathsea/$i
    done
  )
  (
    cd makeindexk
    %__mkdir_p $DOC/makeindexk
    for i in ACK CONTRIB COPYING ChangeLog FILES INSTALL NEWS NOTES PORTING README
    do
      %__cp $i $DOC/makeindexk/$i
    done
  )
  (
    cd makejvf-%{makejvf_version}
    %__mkdir_p $DOC/makejvf
    for i in COPYRIGHT* Changes.txt README.txt
    do
      %__cp $i $DOC/makejvf/$i
    done
  )
  (
    cd mendexk%{mendexk_version}
    %__mkdir_p $DOC/mendexk
    for i in COPYRIGHT* ChangeLog README mendex.doc
    do
      %__cp $i $DOC/mendexk/$i
    done
  )
  (
    cd omega-%{omega_version}
    %__mkdir_p $DOC/omega
    for i in AUTHORS COPYING ChangeLog INSTALL NEWS README
    do
      %__cp $i $DOC/omega/$i
    done
    %__cp src/omega/ChangeLog $DOC/omega/omega-ChangeLog
    %__cp src/otps/ChangeLog $DOC/omega/otps-ChangeLog
    %__cp src/web_omega/ChangeLog $DOC/omega/web_omega-ChangeLog
    %__cp src/web_ware/ChangeLog $DOC/omega/web_ware-ChangeLog
  )
  (
    cd ps2pkm
    %__mkdir_p $DOC/ps2pkm
    for i in CHANGES* ChangeLog INSTALLATION README*
    do
      %__cp $i $DOC/ps2pkm/$i
    done
  )
  (
    cd web2c
    %__mkdir_p $DOC/web2c
    for i in AUTHORS ChangeLog INSTALL NEWS PROJECTS README
    do
      %__cp $i $DOC/web2c/$i
    done
    %__cp cwebdir/README $DOC/web2c/cweb-README
    (
      cd etexdir
      %__mkdir_p $DOC/etex
      for i in ChangeLog INSTALL README
      do
        %__cp $i $DOC/etex/$i
      done
      %__cp -r etrip $DOC/etex/etrip
    )
    (
      cd ptex-%{ptex_version}
      %__mkdir_p $DOC/ptex
      for i in COPYRIGHT* Changes.txt INSTALL.txt README.txt
      do
        %__cp $i $DOC/ptex/$i
      done
    )
    %__cp -r triptrap $DOC
  )
)

# remove unpackaged files.
%__rm -f %{buildroot}%{_infodir}/dir
%__rm -f %{buildroot}/usr/share/texmf/Changes.txt
%__rm -f %{buildroot}/usr/share/texmf/aliases
%__rm -f %{buildroot}/usr/share/texmf/dvipdfm/config/README.config
%__rm -f %{buildroot}/usr/share/texmf/dvipdfm/config/config
%__rm -rf %{buildroot}/usr/share/texmf/fonts/pk

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -n kpathsea
/sbin/ldconfig
%{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun -n kpathsea -p /sbin/ldconfig

%post -n kpathsea-devel
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/kpathsea.info

%postun -n kpathsea-devel
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/kpathsea.info
fi

%post
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/web2c.info

%postun
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/web2c.info
fi

%post etex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun etex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post ptex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun ptex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post omega
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun omega
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post latex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/latex.info

%postun latex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/latex.info
fi

%post elatex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun elatex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post platex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun platex
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post lambda
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun lambda
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post dvipsk
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
[ -x %{_bindir}/updmap ] && %{_bindir}/updmap --quiet
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/dvips.info

%postun dvipsk
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/dvips.info
fi

%post dviljk
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun dviljk
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post vf
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun vf
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post type1
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun type1
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post afm
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun afm
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%post doc
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun doc
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%files -f filelist.tetex
%defattr(-, root, root)
%doc doc/CREDITS doc/ChangeLog doc/INSTALL* doc/LICENSE.src doc/NEWS
%doc doc/PROBLEMS* doc/QuickInstall doc/README doc/teTeX-vs-TeXLive
%doc doc/texk-* doc/makeindexk doc/web2c doc/ps2pkm doc/triptrap
### teTeX tools
	%{_mandir}/man1/cont-*.1*
	%{_infodir}/web2c.info*
	%{texmfdir}/COPYRIGHT*
	%{texmfdir}/ChangeLog
	%{texmfdir}/LICENSE.texmf
	%{texmfdir}/README.txt
%if %{enable_ls_R}
	%{texmfdir}/aliases
	%{texmfdir}/ls-R
%endif # enable_ls_R
	%{texmfdir}/updates.dat
%dir	%{texmfdir}/fonts
%dir	%{texmfdir}/fonts/source
%dir	%{texmfdir}/fonts/tfm
%dir	%{texmfdir}/fonts/tfm/public
	%{texmfdir}/fontname
	%{texmfdir}/texconfig
	%{texmfdir}/texdoctk
	%{texmfdir}/web2c/*.tcx
	%{texmfdir}/web2c/fmtutil.cnf
	%{texmfdir}/web2c/mktex*
	%{texmfdir}/web2c/mptopdf.*
%config	%{texmfdir}/web2c/updmap.cfg
### TeX
%dir	%{texmfdir}/tex
	%{texmfdir}/tex/generic
	%{texmfdir}/tex/plain
	%{texmfdir}/tex/amstex
	%{texmfdir}/tex/eplain
	%{texmfdir}/tex/cyrplain
	%{texmfdir}/tex/mex
	%{texmfdir}/tex/csplain
%dir	%{texmfdir}/pdftex
	%{texmfdir}/pdftex/amstex
	%{texmfdir}/pdftex/config
	%{texmfdir}/pdftex/mex
	%{texmfdir}/pdftex/plain
	%{texmfdir}/web2c/amstex.*
	%{texmfdir}/web2c/csplain.*
	%{texmfdir}/web2c/cyramstex.*
	%{texmfdir}/web2c/cyrtex.*
	%{texmfdir}/web2c/cyrtexinfo.*
	%{texmfdir}/web2c/eplain.*
	%{texmfdir}/web2c/mex.*
	%{texmfdir}/web2c/pdfamstex.*
	%{texmfdir}/web2c/pdfcsplain.*
	%{texmfdir}/web2c/pdfmex.*
	%{texmfdir}/web2c/pdftex-*
	%{texmfdir}/web2c/pdftex.*
	%{texmfdir}/web2c/plain.*
	%{texmfdir}/web2c/tex-*
	%{texmfdir}/web2c/tex.*
### METAFONT
	%{texmfdir}/metafont
	%{texmfdir}/mft
	%{texmfdir}/web2c/mf-nowin.*
	%{texmfdir}/web2c/mf.*
	%{texmfdir}/web2c/mfw.*
### METAPOST
	%{texmfdir}/metapost
	%{texmfdir}/web2c/metafun.*
	%{texmfdir}/web2c/mp.*
	%{texmfdir}/web2c/mpost.*
### BiBTeX
	%{texmfdir}/bibtex
### Makeindex
	%{texmfdir}/makeindex
### enctex
	%{texmfdir}/tex/context
	%{texmfdir}/tex/enctex
	%{texmfdir}/tex/fontinst
	%{texmfdir}/tex/texinfo
### ConTeXt
	%{texmfdir}/context
	%{texmfdir}/web2c/cont-*.*

%files etex -f filelist.etex
%defattr(-, root, root)
%doc doc/etex/*
%dir	%{texmfdir}/etex
	%{texmfdir}/etex/plain
	%{texmfdir}/pdfetex
	%{texmfdir}/web2c/etex-*
	%{texmfdir}/web2c/etex.*
	%{texmfdir}/web2c/pdfemex.*
	%{texmfdir}/web2c/pdfetex-*
	%{texmfdir}/web2c/pdfetex.*

%files ptex -f filelist.ptex
%defattr(-, root, root)
%doc doc/ptex/* doc/mendexk
	%{texmfdir}/fonts/tfm/ptex
	%{texmfdir}/fonts/source/ptex
	%{texmfdir}/jbibtex
%dir	%{texmfdir}/ptex
	%{texmfdir}/ptex/plain
	%{texmfdir}/web2c/ptex-*
	%{texmfdir}/web2c/ptex.*

%files omega -f filelist.omega
%defattr(-, root, root)
%doc doc/omega/*
	%{texmfdir}/fonts/tfm/public/omega
	%{texmfdir}/fonts/ocp
	%{texmfdir}/fonts/ofm
	%{texmfdir}/fonts/ovf
	%{texmfdir}/fonts/ovp
%dir	%{texmfdir}/omega
	%{texmfdir}/omega/encodings
	%{texmfdir}/omega/generic
	%{texmfdir}/omega/plain
	%{texmfdir}/omega/ocp
	%{texmfdir}/omega/otp
	%{texmfdir}/web2c/omega.*

%files latex -f filelist.latex
%defattr(-, root, root)
	%{_infodir}/latex.info*
	%{texmfdir}/fonts/tfm/public/latex
	%{texmfdir}/fonts/source/public/latex
	%{texmfdir}/pdftex/latex
	%{texmfdir}/pdftex/platex
	%{texmfdir}/tex/cslatex
	%{texmfdir}/tex/latex
	%{texmfdir}/tex/platex
	%{texmfdir}/web2c/latex.*
	%{texmfdir}/web2c/pdflatex.*
	%{texmfdir}/web2c/cslatex.*
	%{texmfdir}/web2c/pdfcslatex.*

%files elatex -f filelist.elatex
%defattr(-, root, root)
	%{texmfdir}/etex/latex
	%{texmfdir}/pdfetex/latex
	%{texmfdir}/web2c/elatex.*
	%{texmfdir}/web2c/pdfelatex.*

%files platex -f filelist.platex
%defattr(-, root, root)
	%{texmfdir}/ptex/platex
	%{texmfdir}/ptex/platex209
	%{texmfdir}/web2c/platex-*
	%{texmfdir}/web2c/platex.*
	%{texmfdir}/web2c/platex209.*

%files lambda -f filelist.lambda
%defattr(-, root, root)
	%{texmfdir}/omega/lambda
	%{texmfdir}/web2c/lambda.*

%files dvipsk -f filelist.dvipsk
%defattr(-, root, root)
%doc doc/dvipsk/* doc/makejvf
	%{_infodir}/dvips.info*
	%{texmfdir}/dvips

%files dviljk -f filelist.dviljk
%defattr(-, root, root)
%doc doc/dviljk/*
	%{texmfdir}/tex/latex/dvilj

%files vf
%defattr(-, root, root)
	%{texmfdir}/fonts/vf

%files type1
%defattr(-, root, root)
	%{texmfdir}/fonts/type1

%files afm
%defattr(-, root, root)
	%{texmfdir}/fonts/afm

%files web -f filelist.web
%defattr(-, root, root)
	%{_mandir}/man1/cweb.1*

%files -n kpathsea -f filelist.kpathsea
%defattr(-, root, root)
%doc doc/kpathsea/*
	%{_libdir}/libkpathsea.so*
%dir	%{texmfdir}
%dir	%{texmfdir}/web2c
%config	%{texmfdir}/web2c/texmf.cnf
	%{texmfdir}/web2c/texmf.cnf.orig
%attr(0777,root,root) %dir %{vartexfontsdir}

%files -n kpathsea-devel
%defattr(-, root, root)
	%{_includedir}/kpathsea
	%{_libdir}/libkpathsea.a
#	%{_libdir}/libkpathsea.so
	%{_infodir}/kpathsea.info*

%files doc
%defattr(-, root, root)
%docdir	%{texmfdir}/doc
	%{texmfdir}/doc

%changelog
* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (2.0.2-17m)
- explicitly provides libkpathsea.so for anaconda.

* Sun Apr  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.2-16m)
- use tetex specific find-requires script so that avoid to focus on the texmf doc.

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.2-15m)
- revised spec for rpm 4.2.

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.2-14m)
- specfile cleanup

* Sat Jan 17 2004 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-13m)
- modify texmf.cnf for jbibtex.

* Mon Dec 22 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (2.0.2-12m)
- exec install-info
- add %%config to texmk.cnf and updmap.cfg
- add %%docdir to %{texmfdir}/doc

* Mon Sep 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-11m)
- rebuild against autoconf-2.57-1m
- add BuildRequires: autoconf >= 2.57
- capitalize License: 'M'odified BSD for speclint

* Wed Jul 28 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-10m)
- %%{vartexfontsdir} is %%{_var}/lib/texmf/fonts.

* Wed Jul 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-9m)
- kpathsea handle %%{vartexfontsdir}.
- dvips stop output to printer.
- use %%NoSource and %%NoPatch macros.

* Wed Jul 23 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-8m)
- rebuild against texmf.cnf.momonga.

* Sun Jul  6 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-7m)
- Obsoletes: pk300, txfonts*, pxfonts*

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-6m)
- Obsoletes: tetex-dvips, tetex-dvilj.
- move ``Obsoletes: tetex-fonts, tetex-revtex, tetex-mendex'' to kpathsea.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-5m)
- execute updmap for dvipsk when %%post.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-4m)
- PreReq: kpathsea

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-3m)
- remove %%{?_smp_mflags} because error occurred on build.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-2m)
- add BuildRequires: gcc-c++ >= 3.2.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-1m)
- teTeX version 2.0.2.
- pTeX version 3.1.2.
- Omega version 1.23.4
- mendex version 2.5.
- cancel ls-R directory listing file if %%{enable_ls_R}.
- move xdvik and oxdvik to other specfile.

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0.7-59m)
- move %%{_bindir}/readlink, %{_mandir}/man1/readlink.1* to coreutils

* Mon Apr 14 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.7-58m)
- rebuild against t1lib 5.0.0
- No NoSource: 0
- No NoSource: 1
- No NoSource: 3

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.7-57m)
  disable stack protector

* Sun Jan 19 2003 Kenta MURATA <muraken@momonga-linux.org>
- (1.0.7-56m)
- modify processing latex2e base macros part.

* Sun Jan 19 2003 Kenta MURATA <muraken@momonga-linux.org>
- (1.0.7-55m)
- release NIWATAMA.

* Sun Jan 19 2003 Kenta MURATA <muraken@momonga-linux.org>
- (1.0.7-54m)
- update LaTeX2e base macros.

* Thu Jul 18 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.7-53m)
- ftp_CTAN ftp_ascii_ptex source url change

* Sat May  4 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.0.7-52k)
- fix configure option:  --with-system-pnglib1  to  --with-system-pnglib
- remove %doc texk/web2c/ptex-%{ptex_src_ver}/COPYING
- remove %doc texk/xdvik/INSTALL

* Sat May  4 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.7-50k)
- hash_extra = 2446000.

* Fri May  3 2002 zunda <zunda@kondara.org>
- (1.0.7-48k)
- teTeX-1.0.7-texmfcnf-pdfjadetex.patch added to set
  hash_extra, pool_size, max_strings, save_size for pdfjadetex

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.0.7-46k)
- Prereq: /sbin/install-info -> info

* Mon Apr  1 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.7-44k)
- xdvik resource file

* Wed Mar 27 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.7-42k)
- change hash_extra to 2446000 for jadetex

* Wed Mar 13 2002 TABUCHI Takaaki <tab@kondara.org>
- (1.0.7-40k)
- change hash_extra.jadetex 25000 to 2446000

* Tue Feb  5 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.7-38k)
- pTeX version up to 3.0.1.
- pLaTeX (ptex-texmf) version up to 2.0.
- mendex version up to 2.5.
- include the newbie package tetex-revtex.
- xdvik version up to 22.40b.
- merge some patch file to make simple spec :-P

* Fri Dec 14 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-34k)
- jitterbug #917 was wrong...

* Wed Nov 21 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-32k)
- applied badscript.patch
- See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=43342

* Fri Nov  9 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-30k)
- Replace dvi-to-ps (rhs-printfilters) with mf40-tetex_filters
  (printconf).  Create testpage.dvi (from tex/latex/base/testpage.tex).

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-28k)
- rebuild against libpng 1.2.0.

* Thu Sep 27 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.0.7-26k)
- fix conflict tetex and tetex-mendex

* Sun Sep 23 2001 Toru Hoshina <t@kondara.org>
- (1.0.7-24k)
- jitterbug #917, mktexpk should avoid "modeless".

* Wed Jun  6 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.0.7-22k)
  include latex209 macro files.

* Tue Jun  5 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.0.7-20k)
  update to ptex 2.1.11
  include makejvf, jvf
  update latex files to CTAN 20000601

* Mon May 14 2001 Kenta MURATA <muraken@kondara.org>
- (1.0.7-19k)
- change default font to Type1 for dvisp (teTeX-1.0-dvips-config.patch).

* Sat May 12 2001 Kenta MURATA <muraken@kondara.org>
- (1.0.7-17k)
- upgrade ptex-texmf-1.9 to ptex-texmf-1.10
- append xdvik-vfontmap-jis.patch

* Sun May  6 2001 Kenta MURATA <muraken@kondara.org>
- (1.0.7-15k)
- teTeX-1.0-japanese-psfonts.patch obsoleted by teTeX-1.0-dvips-config.patch
- fix to texmf/dvips/config/updmap

* Tue Mar 13 2001 Kenta MURATA <muraken2@nifty.com>
- (1.0.7-13k)
- upgrade ptex-texmf to 1.9.
- upgrade dvipsk-jpatch to p1.5d.
- append mendex package.
- append paper size for dvips.
- dvips default output change to file.
- add "extmap" directory for updmap.

* Sat Feb 10 2001 Kenta MURATA <muraken2@nifty.com>
- (1.0.7-11k)
- upgrade to "ptex-src-2.1.10.tar.gz".

* Wed Feb  7 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- remove tetex-dvips-japanese.map.patch
  use /usr/share/texmf/dvips/config/updmap

* Mon Jan 29 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix dvips
  added "p +japanese.map" line to /usr/share/texmf/dvips/config/config.ps

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Wed Jan 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- xdvik-22.15-j1.04
- included xdvik jp patch documents

* Sat Dec  3 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Kondarize
- pTeX update to 2.1.10

* Thu Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt on RedHat7.0 again

* Mon Aug 28 2000 Masato Taruishi <taru@debian.org>
- Fixed xdvik-ja to work in 1.0.7 correctly.
- Added a Japanese fontdata for a Japanized dvipsk.

* Thu Aug 24 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- Japanese enbaled

* Wed Jul 19 2000 Trond Eivind Glomsrøä <teg@redhat.com>
- fix man pages in man, not man1
- use %%{_tmppath}

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Thu Jun 22 2000 Preston Brown <pbrown@redhat.com>
- use _infodir

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace *.cnf

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- patched for NORETURN functions in gcc 2.96, rebuilt against new libstdc++

* Wed May  5 2000 Bill Nottingham <notting@redhat.com>
- remove explicit xpm-devel prereq (subsumed into XFree86)
- fixes for ia64

* Mon Mar 20 2000 Jeff Johnson <jbj@redhat.com>
- Sync with Mandrake (tetex-1.0.7-2mdk).
- update to teTeX-texmf-1.0.2.tar.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Feb 11 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com>
- updated to version 1.0.7.
- merged k6 and arm patches into teTeX-1.0-arch.patch
- sligtly increased internal array main_memory, so that latex
  doesn't have problems with big macro packages such as pstricks
  or Xy-TeX.
- integrate teTeX-1.0-tektrokix.patch (fixes a typo) from Jeff
  Johnson <jbj@redhat.com>.

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig entry gone.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Jan 15 2000 Jeff Johnson <jbj@redhat.com>
- build for Red Hat 6.2 (and sync with Mandrake tetex-1.0.6-6mdk).
- always apply AMD K6 patch; won't hurt, and removes platform dependency.
- spelling correction (#7085).

* Wed Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- AMD K6 is not an i686 processor (another)
- Replace $RPM_ARCH by %%{_target_cpu}

* Thu Nov 11 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- mark also config.pdf, config.www and config.generic as %config.
- added BuildPreReq.

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- mark /usr/share/texmf/dvips/config/config.ps as %config (#4842).

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- Create tetex-fonts to remove dependendency of xdvi on main tetex package.

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- Integrate Giuseppe's latest. Thanks for the fixes!

* Thu Aug 26 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- fine tuning subpackage package list.
- added teTeX dependence to package xdvi (it cannot works without fonts).

* Wed Aug 25 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- cleaned %clean. Now spec file support buildroot.
- added support for 'resolution' in dvi-to-ps.fpi as well as
  the config.generic file.
- fixed a problem in manpage links (reported by Dusan
  Gabrijelcic <dusan@kamra.e5.ijs.si>).

* Tue Aug 17 1999 Jeff Johnson <jbj@redhat.com>
- move /usr/bin/mfw to tetex-xdvi to remove tetex dependence on XFree86.

* Sun Aug 15 1999 Jeff Johnson <jbj@redhat.com>
- rebuild with VARTEXFONTS configured correctly.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.0.6.
- merge in Giuseppe Ghibò changes from mandrake package.
- dvi-to-ps.fpi: read postcript configuration settings (#3379).

* Wed Aug 04 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- fixed VARTEXFONTS path in config file.

* Sat Jun 26 1999 Giuseppe Ghibò <ghibo@caesar.polito.it>
- mandrake adaptions.
- speed up TEXMFCNF path.

* Fri Jun 25 1999 Giuseppe Ghibò <ghibo@caesar.polito.it>
- fixed new bugs reported by Thomas Esser (included
  patch 1.0.5-1.0.6-pre).
- added amstex, bamstex and bplain to the list of format files to build.

* Wed Jun 23 1999 Giuseppe Ghibò <ghibo@caesar.polito.it>
- fixed and removed unneeded things in teTeX-1.0-texmfcnf.patch,
  according to Thomas Esser suggestions.

* Sun Jun 20 1999 Giuseppe Ghibò <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0.5.
- merged .spec file with Jeff Johnson's 1.0.1 .spec file from rawhide.

* Sun Jun 13 1999 Giuseppe Ghibò <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0 final.
- removed texmf.cnf external config file, and provided
  as patch.
- removed ``texconfig init'' (now it's included into 'make install').
- moved texmf unpacking to buildroot before 'make install'.
- added italian hyphenation.

* Tue Jun  8 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.0.1.
- add buildroot translated texmfmain for install (#1719)
- mark /usr/share/texmf/xdvi/XDvi as %config (#1067)
- generate texmf.cnf and then merge in old conventions

* Thu Jun 03 1999 Kayvan A. Sylvan <kayvan@sylvan.com>
- upgraded snapshot
- Fixed PATH setting for ``texconfig init''. As it was, you could
  not build a working teTeX on a machine with tetex installed.

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- upgraded snapshot

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- set limits for jadetex

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- I think I have got the buildroot problems right this time
- auto rebuild in the new build environment (release 15)

* Fri Mar 19 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot problems

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- fixed BUG: 978

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- slight changes in the packaging (unpack texmf directly into the buildroot
  and build it there)
- added texmfsrc source tarball to comply with the license

* Mon Mar 07 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make it compile on the arm (RmS)
- build for glibc 2.1
- use tar hack instead of the cp -a to overcome cp's brokeness re: symlinks
  handling

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- enable italian formatting

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires ed
- Fixed obsoletes line
- credted the doc subpackage
- fully buildroot
- require dialog in the main package
- add support for wmconfig in for the xdvi package

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 0.9
- texmf-src package is gone
- use /var/lib/texmf instead of /var/tmp/texmf

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- make sub-packages depend on teTeX (problem #214)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- eliminate environment when running texhash (problem #849)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>
- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>
- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
  delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.
